API referenceInvoice
POST /api/Invoice/GetByExternalIds
POST
/api/Invoice/GetByExternalIdscurl -X POST "/api/Invoice/GetByExternalIds" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
"string"
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datastring[] | null
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.InvoiceDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"externalId": "string",
"orderId": 0,
"amount": 0,
"invoiceNumber": "string",
"invoiceDate": "2026-01-15T09:30:00Z",
"dueDate": "2026-01-15T09:30:00Z",
"isPaid": true,
"createdAt": "2026-01-15T09:30:00Z",
"modifiedAt": "2026-01-15T09:30:00Z"
}
]
}